uuid: f75046fa-ff06-44e8-926a-5d889d9980f8
langcode: en
status: true
dependencies:
  module:
    - drutopia_search
id: config_sync.module.drutopia_search
snapshotSet: config_sync
extensionType: module
extensionName: drutopia_search
items:
  -
    collection: ''
    name: block_visibility_groups.block_visibility_group.search
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - system
      id: search
      label: Search
      logic: and
      conditions:
        f502a545-a711-401c-8e94-6e727993abb4:
          id: request_path
          pages: /search
          negate: false
          context_mapping: {  }
          uuid: f502a545-a711-401c-8e94-6e727993abb4
      allow_other_conditions: false
  -
    collection: ''
    name: search_api.index.content
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_tags
          - field.storage.node.field_summary
          - search_api.server.database
          - core.entity_view_mode.node.full
        module:
          - user
          - search_api
          - node
      id: content
      name: 'Drutopia content index'
      description: 'Drutopia content index.'
      read_only: false
      field_settings:
        rendered_item:
          label: 'Rendered item'
          property_path: rendered_item
          type: text
          configuration:
            roles:
              anonymous: anonymous
            view_mode:
              'entity:node':
                action: full
                article: full
                blog: full
                campaign: full
                event: full
                page: full
                people: full
                resource: full
        node_grants:
          label: 'Node access information'
          property_path: search_api_node_grants
          type: string
          indexed_locked: true
          type_locked: true
          hidden: true
        title:
          label: Title
          datasource_id: 'entity:node'
          property_path: title
          type: text
          boost: 8.0
        created:
          label: 'Authored on'
          datasource_id: 'entity:node'
          property_path: created
          type: date
        changed:
          label: Changed
          datasource_id: 'entity:node'
          property_path: changed
          type: date
        status:
          label: 'Publishing status'
          datasource_id: 'entity:node'
          property_path: status
          type: boolean
          indexed_locked: true
          type_locked: true
        sticky:
          label: 'Sticky at top of lists'
          datasource_id: 'entity:node'
          property_path: sticky
          type: boolean
        field_tags:
          label: Tags
          datasource_id: 'entity:node'
          property_path: field_tags
          type: integer
          dependencies:
            config:
              - field.storage.node.field_tags
        author:
          label: 'Author name'
          datasource_id: 'entity:node'
          property_path: 'uid:entity:name'
          type: string
          dependencies:
            module:
              - user
        uid:
          label: 'Author ID'
          datasource_id: 'entity:node'
          property_path: uid
          type: integer
          indexed_locked: true
          type_locked: true
        type:
          label: 'Content type'
          datasource_id: 'entity:node'
          property_path: type
          type: string
        field_summary:
          label: Summary
          datasource_id: 'entity:node'
          property_path: field_summary
          type: text
          dependencies:
            config:
              - field.storage.node.field_summary
      datasource_settings:
        'entity:node':
          bundles:
            default: true
            selected:
              - landing_page
          languages:
            default: true
            selected: {  }
      processor_settings:
        html_filter:
          fields:
            - rendered_item
            - field_summary
          title: true
          alt: true
          tags:
            h1: 5
            h2: 3
            h3: 2
            string: 2
            b: 2
          weights:
            preprocess_index: -3
            preprocess_query: -6
          all_fields: false
        content_access:
          weights:
            preprocess_index: -6
            preprocess_query: -4
        stopwords:
          fields:
            - rendered_item
            - title
            - field_summary
          stopwords:
            - a
            - an
            - and
            - are
            - as
            - at
            - be
            - but
            - by
            - for
            - if
            - in
            - into
            - is
            - it
            - 'no'
            - not
            - of
            - 'on'
            - or
            - s
            - such
            - t
            - that
            - the
            - their
            - then
            - there
            - these
            - they
            - this
            - to
            - was
            - will
            - with
          weights:
            preprocess_index: -5
            preprocess_query: -10
          all_fields: false
        entity_status:
          weights:
            preprocess_index: -10
        tokenizer:
          fields:
            - rendered_item
            - title
            - field_summary
          spaces: ''
          overlap_cjk: 1
          minimum_word_size: '3'
          weights:
            preprocess_index: -2
            preprocess_query: -5
          all_fields: false
        add_url:
          weights:
            preprocess_index: -30
        rendered_item:
          weights:
            add_properties: 0
            pre_index_save: -10
        aggregated_field:
          weights:
            add_properties: 20
        transliteration:
          fields:
            - rendered_item
            - title
            - field_summary
          weights:
            preprocess_index: -4
            preprocess_query: -7
          all_fields: false
        ignorecase:
          fields:
            - rendered_item
            - title
            - field_summary
          weights:
            preprocess_index: -5
            preprocess_query: -8
          all_fields: false
      tracker_settings:
        default:
          indexing_order: fifo
      options:
        index_directly: true
        cron_limit: 50
      server: database
  -
    collection: ''
    name: views.view.search
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - search_api.index.content
        module:
          - search_api
      id: search
      label: Search
      module: views
      description: 'Search results page using Search API.'
      tag: ''
      base_table: search_api_index_content
      base_field: search_api_id
      core: 8.x
      display:
        default:
          display_plugin: default
          id: default
          display_title: Master
          position: 0
          display_options:
            access:
              type: none
              options: {  }
            cache:
              type: tag
              options: {  }
            query:
              type: views_query
              options:
                bypass_access: false
                skip_access: false
            exposed_form:
              type: basic
              options:
                submit_button: Search
                reset_button: false
                reset_button_label: Reset
                exposed_sorts_label: 'Sort by'
                expose_sort_order: true
                sort_asc_label: Asc
                sort_desc_label: Desc
            pager:
              type: mini
              options:
                items_per_page: 10
                offset: 0
                id: 0
                total_pages: null
                expose:
                  items_per_page: false
                  items_per_page_label: 'Items per page'
                  items_per_page_options: '5, 10, 25, 50'
                  items_per_page_options_all: false
                  items_per_page_options_all_label: '- All -'
                  offset: false
                  offset_label: Offset
                tags:
                  previous: ‹‹
                  next: ››
            style:
              type: default
              options:
                row_class: ''
                default_row_class: true
                uses_fields: false
            row:
              type: search_api
              options:
                view_modes:
                  'entity:node':
                    action: teaser
                    article: teaser
                    blog: teaser
                    campaign: teaser
                    event: teaser
                    page: teaser
                    people: teaser
                    resource: teaser
            fields:
              title:
                table: search_api_index_content
                field: title
                id: title
                entity_type: null
                entity_field: null
                plugin_id: search_api_field
                relationship: none
                group_type: group
                admin_label: ''
                label: ''
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                click_sort_column: value
                type: string
                settings: {  }
                group_column: value
                group_columns: {  }
                group_rows: true
                delta_limit: 0
                delta_offset: 0
                delta_reversed: false
                delta_first_last: false
                multi_type: separator
                separator: ', '
                field_api_classes: false
                field_rendering: true
                fallback_handler: search_api
                fallback_options:
                  link_to_item: false
                  multi_separator: ', '
            filters:
              search_api_fulltext:
                id: search_api_fulltext
                table: search_api_index_content
                field: search_api_fulltext
                relationship: none
                group_type: group
                admin_label: ''
                operator: and
                value: ''
                group: 1
                exposed: true
                expose:
                  operator_id: search_api_fulltext_op
                  label: ''
                  description: ''
                  use_operator: false
                  operator: search_api_fulltext_op
                  identifier: search_api_fulltext
                  required: false
                  remember: false
                  multiple: false
                  remember_roles:
                    authenticated: authenticated
                    anonymous: '0'
                    administrator: '0'
                is_grouped: false
                group_info:
                  label: ''
                  description: ''
                  identifier: ''
                  optional: true
                  widget: select
                  multiple: false
                  remember: false
                  default_group: All
                  default_group_multiple: {  }
                  group_items: {  }
                parse_mode: terms
                min_length: null
                fields: {  }
                plugin_id: search_api_fulltext
            sorts:
              search_api_relevance:
                id: search_api_relevance
                table: search_api_index_content
                field: search_api_relevance
                relationship: none
                group_type: group
                admin_label: ''
                order: DESC
                exposed: false
                expose:
                  label: ''
                plugin_id: search_api
            title: Search
            header: {  }
            footer: {  }
            empty: {  }
            relationships: {  }
            arguments: {  }
            display_extenders: {  }
          cache_metadata:
            max-age: -1
            contexts:
              - 'languages:language_content'
              - 'languages:language_interface'
              - url
              - url.query_args
            tags: {  }
        page_1:
          display_plugin: page
          id: page_1
          display_title: Page
          position: 1
          display_options:
            display_extenders: {  }
            path: search
            menu:
              type: none
              title: ''
              description: ''
              expanded: false
              parent: ''
              weight: 0
              context: '0'
              menu_name: main
            exposed_block: true
          cache_metadata:
            max-age: -1
            contexts:
              - 'languages:language_content'
              - 'languages:language_interface'
              - url
              - url.query_args
            tags: {  }
